data.raw["player"]["player"].inventory_size = 150
data:extend(
  {
     {
    type = "technology",
    name = "character-logistic-slots-Z1",
    icon = "__base__/graphics/technology/character-logistic-slots.png",
    effects =
    {
      {
        type = "character-logistic-slots",
        modifier = 10
      }
    },
    prerequisites = {"character-logistic-slots-3"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 25
    },
    upgrade = "true",
    order = "c-k-e-d"
},  
  {
    type = "technology",
    name = "character-logistic-slots-Z2",
    icon = "__base__/graphics/technology/character-logistic-slots.png",
    effects =
    {
      {
        type = "character-logistic-slots",
        modifier = 20
      }
    },
    prerequisites = {"character-logistic-slots-Z1"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 25
    },
    upgrade = "true",
    order = "c-k-e-d"

  },  
    {
    type = "technology",
    name = "toolbeltZ1",
    icon = "__base__/graphics/technology/toolbelt.png",
    effects =
    {
      {
        type = "num-quick-bars",
        modifier = 1
      }
    },
 prerequisites = {"toolbelt"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 5}
      },
      time = 30
    },
    order = "c-k-m"
  },
    
     {
    type = "technology",
    name = "toolbeltZ2",
    icon = "__base__/graphics/technology/toolbelt.png",
    effects =
    {
      {
        type = "num-quick-bars",
        modifier = 1
      }
    },
 prerequisites = {"toolbeltZ1"},
    unit =
    {
      count = 75,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 5}
      },
      time = 30
    },
    order = "c-k-m"
   }
   
})
